Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfNameType

    java.lang.Object
      java.lang.Enum<OdfNameType>
          org.odftoolkit.odfdom.dom.type.table.OdfNameType

All Implemented Interfaces:
  Serializable, Comparable<OdfNameType>

    public enum OdfNameType

extends Enum<OdfNameType>

DOM implementation of OpenDocument attribute table:name.

Enum Constant Summary
`REMOVE_DEPENDENTS`
`REMOVE_PRECEDENTS`
`TRACE_DEPENDENTS`
`TRACE_ERRORS`
`TRACE_PRECEDENTS`

Method Summary
`static OdfNameType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfNameType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfNameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfNameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRACE_ERRORS

    public static final OdfNameType TRACE_ERRORS

### TRACE_PRECEDENTS

    public static final OdfNameType TRACE_PRECEDENTS

### TRACE_DEPENDENTS

    public static final OdfNameType TRACE_DEPENDENTS

### REMOVE_DEPENDENTS

    public static final OdfNameType REMOVE_DEPENDENTS

### REMOVE_PRECEDENTS

    public static final OdfNameType REMOVE_PRECEDENTS

Method Detail

### values

    public static OdfNameType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfNameType c : OdfNameType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfNameType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfNameType>`
  Returns:
    return the name of OdfNameType

### toString

    public static String toString(OdfNameType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfNameType, see table:name
  Returns:
    return the name of OdfNameType

### enumValueOf

    public static OdfNameType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfNameType
  Returns:
    return the constant of OdfNameType, see table:name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.